Rectangle r;
float angle;
boolean rSelection = false;

void setup()
{
  // Sketch
  size(500,500);
  smooth();
  noStroke();
  nouveauRectangle();
 }

void draw()
{
  background(255);
  fill(rSelection ? color(209,0,0) : color(0));

  translate(r.x,r.y);
  rotate(radians(angle));
  rect(0,0,r.width,r.height);
}

void mousePressed()
{
   rSelection = isPointInsideRectangle(mouseX,mouseY,r,angle);
}

void keyPressed()
{
  nouveauRectangle();
}

void nouveauRectangle()
{
  // Création de notre rectangle, au centre de l'écran, avec une taille au hasard
  r = new Rectangle();
  r.x = width/2;
  r.y = height/2;
  r.width = (int)random(width/2);
  r.height = (int)random(height/2);
  // angle au hasard
  angle = random(90);

}

