boolean isPointInsideRectangle(float xPoint, float yPoint, float xRect, float yRect, float wRect, float hRect, float angleRect)
{
  float xLocalTemp = xPoint - xRect;
  float yLocalTemp = yPoint - yRect;

  float cosangle = cos(radians(angleRect));
  float sinangle = sin(radians(angleRect));

  float xLocal =  cosangle*xLocalTemp + sinangle*yLocalTemp;  
  float yLocal = -sinangle*xLocalTemp + cosangle*yLocalTemp;

//  println(xLocal+";"+yLocal);

  return (xLocal >= 0 && xLocal<= wRect && yLocal>=0 && yLocal <= hRect);
}

boolean isPointInsideRectangle(float xPoint, float yPoint, Rectangle rect, float angleRect)
{
  return isPointInsideRectangle(xPoint,yPoint,rect.x,rect.y,rect.width,rect.height,angleRect);
}

